Failed to load the native TensorFlow runtime; during rasa init command

Hi,

I'm trying to install rasa on my system; following are the specifications list:

CPU-Intel Core 2 duo E7500 2.93GHZ

RAM-8GB

OS- windows 10 Enterprise 64-bit.

but i’m getting the following error :

Traceback (most recent call last):

File “D:\rasa\venv\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 58, in

from tensorflow.python.pywrap_tensorflow_internal import *

File “D:\rasa\venv\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 28, in

_pywrap_tensorflow_internal = swig_import_helper()

File “D:\rasa\venv\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 24, in swig_import_helper

_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)

File “C:\Users\ayadav\AppData\Local\Programs\Python\Python37\lib\imp.py”, line 242, in load_module

return load_dynamic(name, filename, file)

File “C:\Users\ayadav\AppData\Local\Programs\Python\Python37\lib\imp.py”, line 342, in load_dynamic

return _load(spec)

ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “”, line 1, in

File “D:\rasa\venv\lib\site-packages\tensorflow_init_.py”, line 28, in

from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import

File “D:\rasa\venv\lib\site-packages\tensorflow\python_init_.py”, line 49, in

from tensorflow.python import pywrap_tensorflow

File “D:\rasa\venv\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 74, in

raise ImportError(msg)

ImportError: Traceback (most recent call last):

File “D:\rasa\venv\lib\site-packages\tensorflow\python\pywrap_tensorflow.py”, line 58, in

from tensorflow.python.pywrap_tensorflow_internal import *

File “D:\rasa\venv\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 28, in

_pywrap_tensorflow_internal = swig_import_helper()

File “D:\rasa\venv\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py”, line 24, in swig_import_helper

_mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)

File “C:\Users\ayadav\AppData\Local\Programs\Python\Python37\lib\imp.py”, line 242, in load_module

return load_dynamic(name, filename, file)

File “C:\Users\ayadav\AppData\Local\Programs\Python\Python37\lib\imp.py”, line 342, in load_dynamic

return _load(spec)

ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

Failed to load the native TensorFlow runtime.

See Build and install error messages  |  TensorFlow

for some common reasons and solutions. Include the entire stack trace

above this error message when asking for help.​

Kindly help.

Warm regards

Abhinendra Yadav​

Hi @abhinendrayadav, can you uninstall tensorflow and rasa and install rasa again, may be it helps because I tried the same thing and it worked for me

Uninstalled everything and installed everything from scratch; still facing the same error: Failed to load the native TensorFlow runtime.

what are the specs of your computer?

OS: Windows 10 RAM: 8GB CPU: intel i5

check this video it may be help :slight_smile:

the issue still persists, kindly help.

I am facing the same issue are you able to resolve this issue?